<?php
/*
* 2007-2013 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2013 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

if (!defined('_PS_VERSION_'))
	exit;

class MaintenanceConfiguration extends ObjectModel
{
	public $next_time;
	public $page_content;
	public $option_default_content;


	public function __construct(){
		parent::__construct();
	}
	/**
	 * @see ObjectModel::$definition
	 */
	public static $definition = array(
		'table' => 'maintenance',
		'primary' => 'id',
		'fields' => array(
			'next_time' =>			array('type' => self::TYPE_STRING, 'validate' => 'isString', 'required' => true),
			'page_content' => 		array('type' => self::TYPE_HTML, 'lang' => false, 'validate' => 'isCleanHtml'),
			'option_default_content' =>	array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
		)
	);
	
	public static function getData(){
		return Db::getInstance()->getRow("SELECT * FROM `"._DB_PREFIX_."maintenance`");
	}
	
}
